import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 角色分类列表
export function getRoleCategoryList(params) {
  return request({
    url: `${baseURL}/cc/roleCategory/list`,
    method: 'get',
    params: params
  })
}

// 角色分类增加
export function addRoleCategory(data) {
  return request({
    url: `${baseURL}/cc/roleCategory/add`,
    method: 'post',
    data
  })
}

// 角色分类修改
export function updateRoleCategory(data) {
  return request({
    url: `${baseURL}/cc/roleCategory/update`,
    method: 'post',
    data
  })
}

// 角色分类删除
export function deleteRoleCategory(data) {
  return request({
    url: `${baseURL}/cc/roleCategory/delete`,
    method: 'post',
    data
  })
}

// 角色列表
export function getRoleList(params) {
  return request({
    url: `${baseURL}/cc/role/list`,
    method: 'get',
    params: params
  })
}

// 角色添加
export function addRole(data) {
  return request({
    url: `${baseURL}/cc/role/add`,
    method: 'post',
    data
  })
}

// 角色修改
export function updateRole(data) {
  return request({
    url: `${baseURL}/cc/role/update`,
    method: 'post',
    data
  })
}

// 角色删除
export function deleteRole(data) {
  return request({
    url: `${baseURL}/cc/role/delete`,
    method: 'post',
    data
  })
}
